{% extends "base.html" %}

{% block content %}

<div class="root">
    <div class="row h-100">
        <div class="col-sm align-self-center">
            <div class="text-center align-middle">
                <h1 class="text-white"><strong>Gate</strong>Mate</h1> 
            </div>
        </div>
        <div class="col-sm text-center align-self-center">
            <div class="col-sm text-center">
                <form action="/idk" id="thaForm">
                    <div class="input-group mb-3">
                        <input type="text" autofocus class="form-control" placeholder="Eg. '2018 What is 2+2' " aria-label="question" aria-describedby="basic-addon2" name="question" id="question">
                        <div class="input-group-append">
                            <!-- <button class="btn btn-outline-secondary" type="button">Button</button> -->
                            <a class="btn btn text-white" type="button" style="background-color: #4caee8; border: none;" id="play">
                                <i class="fas fa-microphone-alt"></i>&nbsp;
                            </a>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>

<style>
    
    .root
    {
        height: 100vh;
        background-color: #4caee8;
    }

    input:focus
    {
        outline: none;
    }

</style>

<script>
    
    window.SpeechRecognition = window.SpeechRecognition       ||
    window.webkitSpeechRecognition ||
    null;

    if (window.SpeechRecognition === null) 
    {
        alert("Browser won't support");
    }
    else
    {
        var recognizer = new window.SpeechRecognition();
        var transcription = document.getElementById('question');
        var patience = 4; 

        recognizer.continuous = true;

        function restartTimer() {
			timeout = setTimeout(function() {
                recognizer.stop();
                document.getElementById('thaForm').submit();
			}, patience * 1000);
		}
        
        recognizer.onresult = function(event) 
        {
            transcription.textContent = '';

            for (var i = event.resultIndex; i < event.results.length; i++)
            {
                if (event.results[i].isFinal)
                {
                    transcription.value = event.results[i][0].transcript;
                    console.log("This is it");
                    restartTimer();
                }
                else
                {
                    transcription.value += event.results[i][0].transcript;
                    console.log(event.results[i][0].transcript)
                }
            }
        };

        document.getElementById('play').addEventListener('click', function() {
            // Set if we need interim results
            recognizer.interimResults = true;

            try {
                recognizer.start();
                //log.innerHTML = 'Recognition started' + '<br />' + log.innerHTML;
                console.log("Recognition started")
            } catch(ex) {
                //log.innerHTML = 'Recognition error: ' + ex.message + '<br />' + log.innerHTML;
                console.log('Recognition error: ' + ex.message)
            }
        });

    }

</script>

{% endblock %}